export default function useColumns(){

  const TableColumns = [
    {
      item:{
        key:'billCode',
        title:'单据编码',
      },
      attr:{
        is: "el-input",
        disabled:true,
      },
    },
    {
      item:{
        key:'orgName',
        title:'所属组织',
      },
      attr:{
        is: "el-popover-select-v2",
        valueKey: "name",
        referName: "ORG_PARAM",
        dataMapping: {
          orgId:'id'
        },
        disabled:true,
      },
    },
    {
      item:{
        key:'classifyId',
        title:'四级分类',
      },
      attr:{
        is: "el-popover-tree-select",
        referName: "MATERIALCLASSIFY_PARAM",
        valueKey: "id",
        dataMapping: {
          // dosageFrom:'id'
        }
      },
    },
    {
      item:{
        key:'isMedicine',
        title:'医药物料',
      },
      attr:{
        is: "el-select",
        dictName: "sys_number_yes_no", // 字典名
      },
      
    },
    {
      item:{
        key:'diCode',
        title:'DI',
      },
      attr:{
        is: "el-input",
      },
  
    },
    {
      item:{
        key:'name',
        title:'物料名称',
      },
      attr:{
        is: "el-input",
      },
  
    },
    {
      item:{
        key:'enName',
        title:'英文名称',
      },
      attr:{
        is: "el-input",
      },
  
    },
    {
      item:{
        key:'commonName',
        title:'简称',
      },
      attr:{
        is: "el-input",
      },
  
    },
    {
      item:{
        key:'specification',
        title:'规格',
      },
      attr:{
        is: "el-input",
      },
  
    },
    {
      item:{
        key:'model',
        title:'型号',
      },
      attr:{
        is: "el-input",
      },
  
    },
    {
      item:{
        key:'unitId',
        title:'计量单位',
      },
      attr:{
        is: "el-popover-select-v2",
        valueKey: "id",
        referName: "UNIT_PARAM",
      },
  
    },
    {
      item:{
        key:'manufacturerId',
        title:'生产厂家/代理人',
      },
      attr:{
        is: "el-popover-select-v2",
        valueKey: "id",
        referName: "MANUFACTURER_PARAM",
      },
  
    },
    {
      item:{
        key:'registrant',
        title:'注册人/上市许可持有人',
      },
      attr:{
        is: "el-input",
      },
  
    },
    {
      item:{
        key:'originPlace',
        title:'产地',
      },
      attr:{
        is: "el-popover-select-v2",
        valueKey: "name",
        referName: "ORIGINPLACE_PARAM",
      },
  
    },
    {
      item:{
        key:'manufacturersMaterialName',
        title:'厂家物料名称',
      },
      attr:{
        is: "el-input",
      },
  
    },
    {
      item:{
        key:'manufacturersMaterialCode',
        title:'厂家物料编码',
      },
      attr:{
        is: "el-input",
      },
  
    },
    {
      item:{
        key:'classifyAbc',
        title:'ABC分类',
      },
      attr:{
        is: "el-select",
      dictName: "abc_type",
      },
  
    },
    {
      item:{
        key:'safeStock',
        title:'安全库存',
      },
      attr:{
        is: "el-input-number",
      },
  
    },
    {
      item:{
        key:'isB2c',
        title:'B2C物料',
      },
      attr:{
        is: "el-select",
        dictName: "sys_number_yes_no",
      },
  
    },
    {
      item:{
        key:'assembly',
        title:'成套件',
      },
      attr:{
        is: "el-select",
        dictName: "sys_number_yes_no",
      },
  
    },
    {
      item:{
        key:'isInventoryStatus',
        title:'批号及库存状态管理',
      },
      attr:{
        is: "el-select",
        dictName: "sys_number_yes_no",
      },
  
    },
    {
      item:{
        key:'serialNoManager',
        title:'序列号管理',
      },
      attr:{
        is: "el-select",
        dictName: "sys_number_yes_no",
      },
  
    },
    {
      item:{
        key:'transportationCondition',
        title:'运输条件',
      },
      attr:{
        is: "el-select",
      dictName: "sys_conditions_carriage",
      },
  
    },
    {
      item:{
        key:'mediumPackageUnitId',
        title:'中包装单位',
      },
      attr:{
        is: "el-popover-select-v2",
        valueKey: "id",
        referName: "UNIT_PARAM",
      },
  
    },
    {
      item:{
        key:'expiryDateManagerment',
        title:'效期管理',
      },
      attr:{
        is: "el-select",
        dictName: "sys_number_yes_no",
      },
  
    },
    {
      item:{
        key:'nearOnsetManagerment',
        title:'近效期管理',
      },
      attr:{
        is: "el-select",
        dictName: "sys_number_yes_no",
      },
  
    },
    {
      item:{
        key:'usefulLife',
        title:'有效期',
      },
      attr:{
        is: "el-input-number",
      },
  
    },
    {
      item:{
        key:'expiryUnitId',
        title:'效期单位',
      },
      attr:{
        is: "el-select",
        dictName: "period_unit",
      },
  
    },
    {
      item:{
        key:'usefulLifeUnitId',
        title:'有效期至单位',
      },
      attr:{
        is: "el-select",
      dictName: "expiry_date",
      },
  
    },
    {
      item:{
        key:'recentWarningPeriod',
        title:'近效期预警天数',
      },
      attr:{
        is: "el-input-number",
      },
  
    },
    {
      item:{
        key:'storageCondition',
        title:'存储条件',
      },
      attr:{
        is: "el-select",
        dictName: "sys_storage_condition",
      },
  
    },
    {
      item:{
        key:'materialRate',
        title:'物料税类',
      },
      attr:{
        is: "el-popover-select-v2",
        valueKey: "name",
        referName: "MATERIALTAX_PARAM",
        dataMapping: {
          rateCode: "code",
        },
      },
  
    },
    {
      item:{
        key:'rateCode',
        title:'税类编码',
      },
      attr:{
        is: "el-input",
        disabled:true,
      },
  
    },
    {
      item:{
        key:'deliveryPeriod',
        title:'交货周期',
      },
      attr:{
        is: "el-input-number",
      },
  
    },
    {
      item:{
        key:'minOrderQty',
        title:'最小起定量',
      },
      attr:{
        is: "el-input-number",
      },
  
    },
    {
      item:{
        key:'minPackQty',
        title:'最小包装量',
      },
      attr:{
        is: "el-input-number",
      },
  
    },
    {
      item:{
        key:'puPersonnelId',
        title:'采购员',
      },
      attr:{
        is: "el-popover-select-v2",
        referName: "CONTACTS_PARAM",
        valueKey: "name",
        // dataMapping: {
        //   puPersonnelId: "code",
        // },
      },
  
    },
    {
      item:{
        key:'minBatchQty',
        title:'最小批量',
      },
      attr:{
        is: "el-input-number",
      },
  
    },
    {
      item:{
        key:'length',
        title:'长度(MM)',
      },
      attr:{
        is: "el-input-number",
      },
  
    },
    {
      item:{
        key:'height',
        title:'高度(MM)',
      },
      attr:{
        is: "el-input-number",
      },
  
    },
    {
      item:{
        key:'width',
        title:'宽度(MM)',
      },
      attr:{
        is: "el-input-number",
      },
  
    },
    {
      item:{
        key:'boxPackaingQty',
        title:'箱包装数',
      },
      attr:{
        is: "el-input-number",
      },
  
    },
    {
      item:{
        key:'mediumPackageQty',
        title:'中包装数',
      },
      attr:{
        is: "el-input-number",
      },
  
    },
    {
      item:{
        key:'packExplain',
        title:'包装说明',
      },
      attr:{
        is: "el-input",
      },
  
    },
    // {
    //   item:{
    //     key:'businessLine',
    //     title:'业务线',
    //   },
    //   attr:{
    //     is: "el-input",
    //   },
    // },
    {
      item:{
        key:'proposerId',
        title:'物料申请人',
      },
      attr:{
        is: "el-input",
      },
  
    },
    {
      item:{
        key:'barCode',
        title:'条形码',
      },
      attr:{
        is: "el-input",
      },
  
    },
    {
      item:{
        key:'serviceLife',
        title:'使用期限/次数',
      },
      attr:{
        is: "el-input",
      },
  
    },
    {
      item:{
        key:'healthCode',
        title:'医保代码',
      },
      attr:{
        is: "el-input",
      },
  
    },
    {
      item:{
        key:'oriMaterialCode',
        title:'原系统物料编码',
      },
      attr:{
        is: "el-input",
      },
  
    },
    {
      item:{
        key:'productionPermit',
        title:'生产许可证',
      },
      attr:{
        is: "el-input",
      },
  
    },
    {
      item:{
        key:'oneClass',
        title:'一级分类',
      },
      attr:{
        is: "el-input",
        disabled:true,
      },
  
    },
    {
      item:{
        key:'twoClass',
        title:'二级分类',
      },
      attr:{
        is: "el-input",
        disabled:true,
      },
  
    },
    {
      item:{
        key:'threeClass',
        title:'三级分类',
      },
      attr:{
        is: "el-input",
        disabled:true,
      },
  
    },
    {
      item:{
        key:'purchasingOrganization',
        title:'默认采购组织',
      },
      attr:{
        is: "el-popover-select-v2",
        valueKey: "name",
        referName: "ORG_PARAM",
        // dataMapping: {
        //   orgId:'id'
        // },
      },
  
    },
    // {
    //   item:{
    //     key:'businessDepartment',
    //     title:'业务部门',
    //   },
    //   attr:{
    //     is: "el-input",
    //     disabled:true,
    //   },
  
    // },
    {
      item:{
        key:'isEnable',
        title:'启用状态',
      },
      attr:{
        is: "el-select",
        dictName: "material_enable",
        disabled:true,
      },
  
    },
    {
      item:{
        key:'importsManufacturer',
        title:'进口产品生产厂家',
      },
      attr:{
        is: "el-input",
      },
  
    },
    {
      item:{
        key:'serviceClass',
        title:'服务类',
      },
      attr:{
        is: "el-input-number",
        disabled:true,
      },
  
    },
    {
      item:{
        key:'innerPackingUnit',
        title:'内包装单位',
      },
      attr:{
        is: "el-popover-select-v2",
        valueKey: "id",
        referName: "UNIT_PARAM",
      },
  
    },
    {
      item:{
        key:'innerPackingQty',
        title:'内包装数',
      },
      attr:{
        is: "el-input",
      },
  
    },
    {
      item:{
        key:'remark',
        title:'备注',
      },
      attr:{
        is: "el-input",
      },
  
    },
    {
      item:{
        key:'isDrug',
        title:'药品',
      },
      attr:{
        is: "el-select",
        dictName: "sys_medicine", // 字典名
      },
  
    },
    {
      item:{
        key:'registrationNo',
        title:'注册证号/备案凭证编号',
      },
      attr:{
        is: "el-input",
      },
  
    },
    {
      item:{
        key:'medicalInstruments',
        title:'医疗器械',
      },
      attr:{
        is: "el-select",
        dictName: "medical_instruments", // 字典名
      },
  
    },
    {
      item:{
        key:'commonName',
        title:'通用名称',
      },
      attr:{
        is: "el-input",
      },
  
    },
    {
      item:{
        key:'ratifyBatchNo',
        title:'批准文号',
      },
      attr:{
        is: "el-input",
      },
  
    },
    {
      item:{
        key:'dosageFrom',
        title:'剂型',
      },
      attr:{
        is: "el-popover-tree-select",
        referName: "DOSAGEFORM_PARAM",
        valueKey: "name",
        // dataMapping: {
        //   dosageFrom:'id'
        // }
      },
  
    },
    {
      item:{
        key:'oriRegistrationNo',
        title:'旧注册证号',
      },
      attr:{
        is: "el-input",
      },
  
    },
    {
      item:{
        key:'curingType',
        title:'养护类型',
      },
      attr:{
        is: "el-select",
        dictName: "curing_type", // 字典名
      },
  
    },
    {
      item:{
        key:'createName',
        title:'申请人',
      },
      attr:{
        is: "el-input",
        disabled:true,
      },
  
    },
    {
      item:{
        key:'createTime',
        title:'申请时间',
      },
      attr:{
        is: "el-date-picker",
        valueFormat: "yyyy-MM-dd HH:mm:ss",
        disabled:true,
      },
  
    },
    {
      item:{
        key:'createName',
        title:'创建人',
      },
      attr:{
        is: "el-input",
        disabled:true,
      },
  
    },
    {
      item:{
        key:'createTime',
        title:'创建时间',
      },
      attr:{
        is: "el-date-picker",
        valueFormat: "yyyy-MM-dd HH:mm:ss",
        disabled:true,
      },
  
    },
    {
      item:{
        key:'updateName',
        title:'最后修改人',
      },
      attr:{
        is: "el-input",
        disabled:true,
      },
  
    },
    {
      item:{
        key:'updateTime',
        title:'最后修改时间',
      },
      attr:{
        is: "el-date-picker",
        valueFormat: "yyyy-MM-dd HH:mm:ss",
        disabled:true,
      },
  
    },
    // {
    //   item:{
    //     key:'reviewedByName',
    //     title:'最后审核人',
    //   },
    //   attr:{
    //     is: "el-input",
    //     disabled:true,
    //   },
  
    // },
    // {
    //   item:{
    //     key:'approvalTime',
    //     title:'最后审核时间',
    //   },
    //   attr:{
    //     is: "el-date-picker",
    //     valueFormat: "yyyy-MM-dd HH:mm:ss",
    //     disabled:true,
    //   },
  
    // },
    {
      item:{
        key:'status',
        title:'单据状态',
      },
      attr:{
        is: "el-select",
        dictName: "documents_status", // 字典名
        disabled:true,
      },
  
    },
    
    
  ].map(({ item, attr }) => ({
    attr,
    item: { ...item, hidden: true, span: item.span || 6 },
  }));
  
  const TabColumns = [
    {
      item:{
        key:'maintainMaterialType',
        title:'维护物料类别',
      },
      attr:{
        value:[]
      },
      TableColumns:[
        {
          item:{
            key:'drugId',
            title:'ID',
          },
          attr:{
            is: "el-select",
            dictName: "sys_number_yes_no", // 字典名
          },
         
        },
        {
          item:{
            key:'drugCode',
            title:'药品类别编码',
            require: true,
          },
          attr:{
            is: "el-popover-select-v2",
            valueKey: "code",
          },
         
        },
        {
          item:{
            key:'drugName',
            title:'药品类别名称',
            require: true,
          },
          attr:{
            is: "el-input",
            // disabled:true,
          },
         
        },
        
      
  
      ]
    }, 
  ]

  return {TableColumns,TabColumns}
}

